Error?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Error?

Postby smartkidbk5 » 05. February 2010 05:41

[root@localhost bkaplan]# /opt/lampp/lampp start
Starting XAMPP for Linux 1.7.3a...
/opt/lampp/bin/php: error while loading shared libraries: libz.so.1: cannot enable executable stack as shared object requires: Permission denied
XAMPP: Starting Apache with SSL ...
/opt/lampp/bin/httpd: error while loading shared libraries: libexpat.so.0: cannot enable executable stack as shared object requires: Permission denied
XAMPP: Error 127! Couldn't start Apache!
XAMPP: Starting diagnose...
XAMPP: Sorry, I've no idea what's going wrong.
XAMPP: Please contact our forum http://community.apachefriends.org/f/
XAMPP: Starting MySQL...
/opt/lampp/bin/my_print_defaults: error while loading shared libraries: libz.so.1: cannot enable executable stack as shared object requires: Permission denied
/opt/lampp/bin/my_print_defaults: error while loading shared libraries: libz.so.1: cannot enable executable stack as shared object requires: Permission denied
XAMPP: Couldn't start MySQL!
XAMPP: Starting ProFTPD...
XAMPP: /opt/lampp/sbin/proftpd: error while loading shared libraries: libcrypto.so.0.9.8: cannot enable executable stack as shared object requires: Permission denied
XAMPP: Error 127! Couln't start ProFTPD!
XAMPP for Linux started.

Anyone know what the problem could be? - Im using Fedora, btw.
smartkidbk5
 
Posts: 1
Joined: 05. February 2010 05:37

Re: Error?

Postby concreteboots » 13. February 2010 14:32

I'm having exactly the same problem.

I'm running fedora 12.
Its a clean install.

Any suggestions?
concreteboots
 
Posts: 2
Joined: 13. February 2010 14:26

Re: Error?

Postby syntax_error » 14. February 2010 11:44

Seems like yet another security enhancement in Fedora 12, they were resolving this on Fedora Forum: http://forums.fedoraforum.org/showthread.php?p=1299697

Try the following command (run as root):
Code: Select all
setsebool -P allow_execstack on

which makes your system a little bit insecure (check out the link above), but most of us can live without this security enhancement on other distributions.
syntax_error
 
Posts: 14
Joined: 09. February 2010 19:24

Re: Error?

Postby deadkins62 » 10. January 2011 02:01

I have same problem on f14 clean install.
deadkins62
 
Posts: 3
Joined: 10. January 2011 01:47


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 1 guest